View Javadoc

    1   //
    2   // This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6
    3   // See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
    4   // Any modifications to this file will be lost upon recompilation of the source schema.
    5   // Generated on: 2012.11.09 at 12:33:57 PM EST
    6   //
    7
    8
    9   package org.owasp.dependencycheck.jaxb.pom.generated;
    10
    11  import javax.annotation.Generated;
    12  import javax.xml.bind.annotation.XmlAccessType;
    13  import javax.xml.bind.annotation.XmlAccessorType;
    14  import javax.xml.bind.annotation.XmlElement;
    15  import javax.xml.bind.annotation.XmlType;
    16
    17
    18  /**
    19   * Download policy
    20   *
    21   * <p>Java class for RepositoryPolicy complex type.
    22   *
    23   * <p>The following schema fragment specifies the expected content contained within this class.
    24   *
    25   * <pre>
    26   * &lt;complexType name="RepositoryPolicy">
    27   *   &lt;complexContent>
    28   *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
    29   *       &lt;all>
    30   *         &lt;element name="enabled" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
    31   *         &lt;element name="updatePolicy" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    32   *         &lt;element name="checksumPolicy" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    33   *       &lt;/all>
    34   *     &lt;/restriction>
    35   *   &lt;/complexContent>
    36   * &lt;/complexType>
    37   * </pre>
    38   *
    39   *
    40   */
    41  @XmlAccessorType(XmlAccessType.FIELD)
    42  @XmlType(name = "RepositoryPolicy", propOrder = {
    43
    44  })
    45  @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    46  public class RepositoryPolicy {
    47
    48      @XmlElement(defaultValue = "true")
    49      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    50      protected Boolean enabled;
    51      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    52      protected String updatePolicy;
    53      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    54      protected String checksumPolicy;
    55
    56      /**
    57       * Gets the value of the enabled property.
    58       *
    59       * @return
    60       *     possible object is
    61       *     {@link Boolean }
    62       *
    63       */
    64      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    65      public Boolean isEnabled() {
    66          return enabled;
    67      }
    68
    69      /**
    70       * Sets the value of the enabled property.
    71       *
    72       * @param value
    73       *     allowed object is
    74       *     {@link Boolean }
    75       *
    76       */
    77      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    78      public void setEnabled(Boolean value) {
    79          this.enabled = value;
    80      }
    81
    82      /**
    83       * Gets the value of the updatePolicy property.
    84       *
    85       * @return
    86       *     possible object is
    87       *     {@link String }
    88       *
    89       */
    90      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    91      public String getUpdatePolicy() {
    92          return updatePolicy;
    93      }
    94
    95      /**
    96       * Sets the value of the updatePolicy property.
    97       *
    98       * @param value
    99       *     allowed object is
    100      *     {@link String }
    101      *
    102      */
    103     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    104     public void setUpdatePolicy(String value) {
    105         this.updatePolicy = value;
    106     }
    107
    108     /**
    109      * Gets the value of the checksumPolicy property.
    110      *
    111      * @return
    112      *     possible object is
    113      *     {@link String }
    114      *
    115      */
    116     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    117     public String getChecksumPolicy() {
    118         return checksumPolicy;
    119     }
    120
    121     /**
    122      * Sets the value of the checksumPolicy property.
    123      *
    124      * @param value
    125      *     allowed object is
    126      *     {@link String }
    127      *
    128      */
    129     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    130     public void setChecksumPolicy(String value) {
    131         this.checksumPolicy = value;
    132     }
    133
    134 }